
#include <fstream>
#include <iostream>

#include "player.h"
#include "display.h"
#include "level.h"
#include "font.h"
//#include "explore.h"
//#include "misc.h"
#include "encounter.h"
#include "inn.h"
#include "smithy.h"

using namespace std;
Player plyr;


void initStats()
{
  // dungeon - 50,4,west
  //city - 36, 38, north  
	
  for (int i=0 ; i<=11 ; i++) // Initialise array for guild first time visit awards
  {
		plyr.guildAwards[i] = false;
  } 
  plyr.teleporting = 0; // counter that is used for flashing teleport sequence
  plyr.z_offset = 1.0f;
  plyr.scenario = 255; // city 0, dungeon 1 - 255 means main menu for font choice
  plyr.map = 0; // city
  plyr.x = 50; // 36 , 43
  plyr.y = 4; // 37 , 30
  plyr.facing = 2; // 2 equals north?
  plyr.sta = 25;
  plyr.chr = 25;
  plyr.str = 25;
  plyr.inte = 13;
  plyr.wis = 18;
  plyr.skl = 17;
  plyr.hp = 20;
  plyr.maxhp = 20;
  plyr.name = "Acrinimiril";
  plyr.xp = 0;
  plyr.level = 0;
  plyr.alive = true;
  plyr.encounter_done = true;   
  plyr.gender = 0;
  plyr.zone = 1;
  plyr.status = 0;
  plyr.torches = 3;
  plyr.food = 3;
  plyr.water = 3;
  plyr.timepieces = 1;
  plyr.compasses = 1;
  plyr.gems = 0;
  plyr.jewels = 0;
  plyr.crystals = 0;
  plyr.copper = 85;
  plyr.keys = 0;
  plyr.minutes = 3;
  plyr.hours = 22;
  plyr.priWeapon = 5;
  plyr.secWeapon = 1;
  plyr.infoPanel = 1;
  plyr.stealth =32;
  plyr.speed = 10;
  plyr.diagOn = false;
  plyr.chrPartials = 0;
  plyr.intPartials = 0;
  plyr.strPartials = 0;
  //plyr.buffer_index = 0;
  //plyr.status = "explore";
  plyr.zone = 0;
  plyr.zoneSet = 0;
  plyr.specialwall = 0;
  //for (int x = 0; x <= 12; x++)
  
  plyr.hours = 6;
  plyr.days = 29;
  plyr.months = 5;
  plyr.years = 0;

}


int main()
{
	InitFont();
	initStats();
	initMaps();
	/*
	
	loadMapData(0);
	loadDescriptions(0);
	loadZoneData(0);
	loadMessages(0);
	
	loadCityMonsters();
	loadCityWeapons();
	*/
	
	checkDailyJobOpenings();
	stockSmithyWares();
	
	mainLoop();

    return EXIT_SUCCESS;
}