
#include <SFML/Graphics.hpp>
#include <SFML/Audio.hpp>

#include <string>
#include <iostream>
#include <sstream>

#include "player.h"
#include "font.h"
#include "display.h"
#include "explore.h"
#include "misc.h"
#include "shop.h"

extern Player plyr;
extern sf::RenderWindow App;


/*
struct shop
{
       string name;
       int x;
       int y;
       int z;
	   int removeCursesCost;
};


shop shops[12] =
{
	{"Thieves shop",			44,	30,	0,	9000},
	{"Blue Wizards shop",		19,	17,	0,	3000},
	{"Light Wizards shop",		3,	60,	0,	2700},
	{"Green Wizards Academy",	12,	22,	0,	3000},
	{"Red Wizards University",	48,	50,	0,	3000},
	{"Dark Wizards shop",		34,	43,	0,	3100},
	{"Star Wizards shop",		28,	53,	0,	2000},
	{"Wizards of Chaos shop",	51,	5,	0,	4000},
	{"Wizards of Law shop",	62,	15,	0,	3800},
	{"shop of Order",			58,	15,	0,	4000},
	{"Physicians shop",		6,	50,	0,	7000},
	{"Assassins shop",			56,	62,	0,	11000}
};

*/



inline std::string concat( int n, const char* str )
{
std::ostringstream ss;
ss << n;
ss << str;
return ss.str();
} 





void shopShop()
{	
	//int shopNo = getshopNo();
	int shopMenu = 1; // high level menu
	int shopLoc = 0; // bar, table or booth
	string str,key;
	plyr.status = 2; // shopping

	while (shopMenu > 0)
	{		
		while (shopMenu == 1) // main menu
		{
			
			drawShopImage("imgCityShop");
			drawStatsPanel();
			bText (13,0, "Welcome Stranger!");
			bText (7,3, "Do you wish to see our wares?");
			cyText (5, "( es or  o)");
			SetFontColour(40, 96, 244, 255);
			cyText (5, " Y      N  ");
			SetFontColour(255, 255, 255, 255);
			str = "Your coins in copper " + itos(plyr.copper);
			cyText (9,str);
			App.Display();

			key = pressKey();

			//if ( key=="Y" ) { shopMenu = 2; }
			if ( key=="N" ) { shopMenu = 0; }
		}

		while (shopMenu == 2) // at bar, table or booth menu
		{
			
			drawShopImage("imgCityShop");
			drawStatsPanel();
			if ( shopLoc == 1) { bText (7,0, "You are sitting at the bar."); bText (23,3, "A few nuts"); }
			if ( shopLoc == 2) { bText (7,0, "You are at your table."); bText (26,3, "Popcorn"); }
			if ( shopLoc == 3) { bText (7,0, "You are in a private booth."); bText (7,3, "A smokey torch  A few nuts"); }
			bText (7,4, "1) Hail the Barkeeper");
			bText (7,5, "2) Hail the Waitress");
			bText (7,6, "3) Buy a round for the house");
			bText (7,7, "0) Leave");
			cyText (9, "Your coins in copper 255");
			App.Display();

			key = pressKey();
			if ( key=="0" ) { shopMenu = 0; }

				}

		

	}
	leaveShop();
}

int getshopNo()
{

int shop_no;
/*
for (int i=0 ; i<=12 ; i++) // Max number of shop objects
	{
		if ((shops[i].x == plyr.x) && (shops[i].y == plyr.y))
		{
			shop_no = i; // The number of the shop you have entered
        }
   } 
*/
return shop_no;
}