
#include <SFML/Graphics.hpp>

#include <string>
#include <iostream>
#include <sstream>

#include "player.h"
#include "font.h"
#include "display.h"
#include "explore.h"
#include "misc.h"
#include "bank.h"

extern Player plyr;
extern sf::RenderWindow App;


/*
struct bank
{
       string name;
       int x;
       int y;
       int z;
	   int removeCursesCost;
};


bank banks[12] =
{
	{"Thieves bank",			44,	30,	0,	9000},
	{"Blue Wizards bank",		19,	17,	0,	3000},
	{"Light Wizards bank",		3,	60,	0,	2700},
	{"Green Wizards Academy",	12,	22,	0,	3000},
	{"Red Wizards University",	48,	50,	0,	3000},
	{"Dark Wizards bank",		34,	43,	0,	3100},
	{"Star Wizards bank",		28,	53,	0,	2000},
	{"Wizards of Chaos bank",	51,	5,	0,	4000},
	{"Wizards of Law bank",	62,	15,	0,	3800},
	{"bank of Order",			58,	15,	0,	4000},
	{"Physicians bank",		6,	50,	0,	7000},
	{"Assassins bank",			56,	62,	0,	11000}
};

*/



inline std::string concat( int n, const char* str )
{
std::ostringstream ss;
ss << n;
ss << str;
return ss.str();
} 

/*
string itos(int i)	// convert int to string
{
	stringstream s;
	s << i;
	return s.str();
}
*/


void shopBank()
{	
	//int bankNo = getbankNo();
	int bankMenu = 1; // high level menu
	string str,key;
	plyr.status = 2; // shopping

	while (bankMenu > 0)
	{		
		while (bankMenu == 1) // main menu
		{
			drawShopImage("imgCityBank");
			drawStatsPanel();
			
			cyText (0, "How may I be of service?");
			bText (2,2, "1) Open, or 2) Close an account");
			bText (2,3, "3) Make a deposit or 4) Withdrawl");
			bText (2,4, "5) Look at your balances");
			bText (2,5, "6) Examine Bank's books");
			bText (2,6, "7) Appraise or 8) Sell Gems or Jewelry");
			bText (2,7, "9) Apply for a job");
			bText (2,8, "0) Leave");

			SetFontColour(40, 96, 244, 255);
			bText (2,2, "1");
			bText (14,2, "2");
			bText (2,3, "3");
			bText (23,3, "4");
			bText (2,4, "5");
			bText (2,5, "6");
			bText (2,6, "7");
			bText (17,6, "8");
			bText (2,7, "9");
			bText (2,8, "0");
			SetFontColour(255, 255, 255, 255);

			str = "Your coins in copper " + itos(plyr.copper);
			cyText (9,str);
			App.Display();

			key = pressKey();

			if ( key=="0" ) { bankMenu = 0; }
			//if ( key=="1" ) { bankMenu = 2; }
			//if ( key=="2" ) { bankMenu = 3; }
		}

		while (bankMenu == 2) // remove curses menu
		{
			/*int removeCursesCost = banks[bankNo].removeCursesCost;
			drawStatsPanel();
			drawShopImage("imgCitybank");
			
			cyText (0, "The charge for removing curses"); //itos(removeCursesCost) 
			std::ostringstream text;
			text << "is " << removeCursesCost << " coppers. Agreed?";		
			cyText (1,text.str());
			text.str("");
			cyText (3, "Yes or No");
			text << "Your coins in copper " << plyr.copper;
			cyText (9,text.str());

			App.Display();

			key = pressKey();

			if ( key=="N" ) { bankMenu = 1; }
			if ( key=="Y" ) { bankMenu = 2; }
		*/
		}

		while (bankMenu == 3) // Join bank menu
		{
			/*
			drawStatsPanel();
			drawShopImage("imgCitybank");

			//bText (2,0, "We are deeply sorry but we cannot");
			//bText (5,1, "accept any apprentices at this time.");
			//bText (9,9, "( Press space to continue )");
			cText ("We are deeply sorry but we cannot@accept any apprentices at this time.");
			cyText (9,"( Press space to continue )");
			App.Display();

			key = pressKey();
			if ( key=="SPACE" ) { bankMenu = 1; }
			*/
		}

	}
	leaveShop();
}

int getbankNo()
{

int bank_no;
/*
for (int i=0 ; i<=12 ; i++) // Max number of bank objects
	{
		if ((banks[i].x == plyr.x) && (banks[i].y == plyr.y))
		{
			bank_no = i; // The number of the bank you have entered
        }
   } 
*/
return bank_no;
}