
#include <SFML/Graphics.hpp>

#include <string>
#include <iostream>
#include <sstream>

#include "player.h"
#include "font.h"
#include "display.h"
#include "explore.h"
#include "misc.h"
#include "staircase.h"
#include "level.h"

extern Player plyr;
extern sf::RenderWindow App;


void staircase()
{	
	//int staircaseNo = getstaircaseNo();
	int staircaseMenu = 1; // high level menu
	string str,key;
	plyr.status = 2; //shopping

	while (staircaseMenu > 0)
	{		
		while (staircaseMenu == 1) // main menu
		{
			bool stairwayUp = true;
			if ((plyr.x==51)&&(plyr.y==4)&&(plyr.map==0)) { stairwayUp = false; }
			if ((plyr.x==60)&&(plyr.y==63)&&(plyr.map==0)) { stairwayUp = false; }
			// Need to determine if up or down staircase
			glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);
			if (stairwayUp) { drawShopImage("imgStairwayUp"); }
			else { drawShopImage("imgStairwayDown"); }
			
			
			drawStatsPanel();
			
			if (stairwayUp) { cyText (1, "A stairway leads up, do you take it?"); }
			else { cyText (1, "A stairway leads down, do you take it?"); }
			cyText (3, "( es or  o)");
			SetFontColour(40, 96, 244, 255);
			cyText (3, " Y      N  ");
			SetFontColour(255, 255, 255, 255);
			App.Display();

			key = pressKey();

			//if ( key=="Y" ) { staircaseMenu = 2; }
			if ( key=="N" ) { staircaseMenu = 0; leaveShop();}
			if (key=="Y") { ; moveMapLevel(); staircaseMenu = 0; };
		}

	}	
	
}




int getstaircaseNo()
{

int staircase_no;
/*
for (int i=0 ; i<=12 ; i++) // Max number of staircase objects
	{
		if ((staircases[i].x == plyr.x) && (staircases[i].y == plyr.y))
		{
			staircase_no = i; // The number of the staircase you have entered
        }
   } 
*/
return staircase_no;
}